import { Component, JSX } from "solid-js";
import { SpacingOptions } from "./spacing-constants";
import { StackProps } from "./stack";
interface ColumnsBaseProps {
    gutter?: SpacingOptions;
    columns?: number;
    dense?: boolean;
}
export interface ColumnsProps extends StackProps, ColumnsBaseProps {
    switchAt?: number | string;
    as?: Component | keyof JSX.IntrinsicElements;
    ref?: (ref: HTMLElement) => void;
}
export declare const Columns: Component<ColumnsProps>;
export interface ColumnProps {
    colSpan?: number;
    offsetStart?: number;
    offsetEnd?: number;
}
/**
 * ColumnsProps passed twice to make propTypes work.
 *
 * span is remaped to colSpan due to span being an attribute that gets
 * passed to the underlying element.  This can cause issues with Grid layout.
 *
 * In a future breaking change, colSpan should be the public API.
 * */
export declare const Column: ((props: ColumnProps & JSX.HTMLAttributes<HTMLDivElement>) => JSX.Element) & {
    className: (props: ColumnProps & JSX.HTMLAttributes<HTMLDivElement>) => string;
};
export {};
