import type { DefaultTheme } from "solid-styled-components";
declare type LowercaseCharacter = "a" | "b" | "c" | "d" | "e" | "f" | "g" | "h" | "i" | "j" | "k" | "l" | "m" | "n" | "o" | "p" | "q" | "r" | "s" | "t" | "u" | "v" | "w" | "x" | "y" | "z";
declare type AllCharacter = LowercaseCharacter | Uppercase<LowercaseCharacter>;
declare type NonEmptyString = `${AllCharacter}${string}`;
declare type CSSCustomProperties = `var(--${NonEmptyString})`;
declare type LengthUnit = "vmin" | "vmax" | "vh" | "vw" | "%" | "ch" | "ex" | "em" | "rem" | "in" | "cm" | "mm" | "pt" | "pc" | "px";
export declare type CSSLength = `${number}${LengthUnit}` | CSSCustomProperties;
export declare function checkIsCSSLength(str: string): str is CSSLength;
export interface Spacing {
    none: CSSLength;
    xxs: CSSLength;
    xs: CSSLength;
    sm: CSSLength;
    md: CSSLength;
    mdLg: CSSLength;
    lg: CSSLength;
    lgXl: CSSLength;
    xl: CSSLength;
    xlXXl: CSSLength;
    xxl: CSSLength;
}
export declare const spacing: Spacing;
export declare type BaseTheme = Record<string, CSSLength | string | number>;
declare type ThemeOrDefaultSpace<T> = T extends {
    space: BaseTheme;
} ? T["space"] : keyof Spacing;
export declare type SpacingOptions = ThemeOrDefaultSpace<DefaultTheme>;
declare type MaybeValue = CSSLength | undefined;
declare type GetSpacingValue = (spacingKey: SpacingOptions, theme?: Partial<BaseTheme>) => MaybeValue;
export declare const getSpacingValue: GetSpacingValue;
export {};
